SSS_CACHE(8)

NAME
sss_cache - executa limpeza da cache

SYNOPSIS

sss_cache [opções]

DESCRIÇÃO

O sss_cache invalida registos na cache do SSSD. Os registos invalidados são forçados a ser recarregados a partir do servidor assim que o backend SSSD relacionado esteja online. AS opções que invalidam um único objecto apenas aceitam um único argumento fornecido.

OPÇÕES

-E,--everything
    Invalida todas as entradas em cache.

-u,--user login
    Invalida utilizador especifico.

-U,--users
    Invalida todos os registos de utilizadores. Esta opção sobrepõe a invalidação de utilizador especifico se estiver também definida.

-g,--group grupo
    Invalida grupo especifico.

-G,--groups
    Invalida todos os registos de grupos. Esta opção sobrepõe a invalidação de grupo especifico se estiver também definida.

-n,--netgroup grupo-de-rede
    Invalida grupo-de-rede especifico.

-N,--netgroups
    Invalida todos os registos de grupo-de-rede. Esta opção sobrepõe a invalidação de grupo-de-rede especifico se estiver também definida.

-s,--service serviço
    Invalida serviço especifico.

-S,--services
    Invalida todos os registos de serviços. Esta opção sobrepõe a invalidação de serviço especifico se estiver também definida.

-a,--autofs-map autofs-map
    Invalida mapas autofs específicos.

-A,--autofs-maps
    Invalida todos os mapas autofs Esta opção sobrepõe a invalidação de mapa especifico se estiver também definida.

-h,--ssh-host nome-máquina
    Invalida chaves públicas SSH para uma máquina específica.

-H,--ssh-hosts
    Invalida chaves públicas SSH para todas as máquinas. Esta opção sobrepõe a invalidação de chaves públicas SSH para máquinas específicas se estiver também definida.

-r,--sudo-rule regra
    Invalida regra sudo particular.

-R,--sudo-rules
    Invalida todas as regras sudo em cache. Esta opção sobrepõe a invalidação de regra sudo específica se estiver também definida.

-d,--domain domínio
    Restringe processo de invalidação apenas a um domínio particular.

-?,--help
    Exibe a mensagem de ajuda e sai.

EFEITOS NA CACHE DE MEMÓRIA RÁPIDA

O sss_cache também invalida a cache de memória. Como a cache de memória é um ficheiro que é mapeado na memória de cada processo que chamou o SSSD para resolver utilizadores e grupos, o ficheiro não pode ser truncado. É definida uma bandeira especial no cabeçalho do ficheiro para indicar que o conteúdo é inválido e depois o ficheiro é desvinculado pelo respondedor NSS do SSSD e é criado um novo ficheiro de cache. Sempre que um processo está a fazer uma nova procura por um utilizador ou um grupo irá ver a bandeira, fechar o ficheiro de cache de memória antigo e mapear o novo na sua memória. Quando todos os processos que abriram o ficheiro de cache de memória antigo o tiverem fechado enquanto procuram um utilizador ou grupo o kernel pode libertar o espaço de disco ocupado e o ficheiro de cache de memória antigo é finalmente removido completamente.

Um caso especial são processos de execução longa que fazem procuras de utilizadores ou grupos apenas no arranque, ex, para determinar o nome do utilizador com que o processo corre como. Para essas procuras o ficheiro de cache de memória é mapeado para a memória do processo. Mas como não irão existir mais procuras este processo nunca vai detectar se o ficheiro de cache de memória foi invalidado e assim vai ser mentido em memória e vai ocupar espaço no disco até que o processo pare. Como resultado chamar o sss_cache pode aumentar a utilização do disco porque os ficheiros de cache de memória antigos não podem ser removidos do disco porque ainda estão mapeados por processos de execução longa.

Um contorno possível para processos de execução longa que estão a procurar utilizadores e grupos apenas no arranque ou muito raramente são corridos com a variável de ambiente SSS_NSS_USE_MEMCACHE definida para "NO" para que não usem a cache de memória de todo e não mapearem o ficheiro de cache de memória na memória. Em geral uma solução melhor é afinar os parâmetros de tempo limite de cache para que corresponda às expectativas locais e chamar o sss_cache não seja necessário.

VEJA TAMBÉM

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

O autor do SSSD - https://github.com/SSSD/sssd/